package com.ruoyi.web.modules.diagnosis.service;

import java.util.List;
import com.ruoyi.web.modules.diagnosis.domain.BizServiceAppointment;

/**
 * 我的预约（机构）服务。
 */
public interface IBizOrgMyAppointmentService
{
    List<BizServiceAppointment> selectOrgAppointmentList(BizServiceAppointment query, Long sysUserId);

    BizServiceAppointment selectOrgAppointmentById(Long id, Long sysUserId);

    int complete(Long id, Long sysUserId, String operator);
}
